@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class AccountEntryUserRel {
   accountEntryUserRelId: bigint(20)
   --
   companyId: bigint(20) <FK>
   accountEntryId: bigint(20) <FK>
   accountUserId: bigint(20) <FK>
   mvccVersion: bigint(20)
}
entity AssetEntry {
   entryId: bigint(20)
   ctCollectionId: bigint(20)
--
   userId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   classUuid: varchar(75)
   classTypeId: bigint(20)
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   listable: tinyint(4)
   visible: tinyint(4)
   startDate: datetime(6)
   endDate: datetime(6)
   publishDate: datetime(6)
   expirationDate: datetime(6)
   mimeType: varchar(75)
   title: longtext
   description: longtext
   summary: longtext
   url: longtext
   layoutUuid: varchar(75)
   height: int(11)
   width: int(11)
   priority: double
}
entity Contact_ {
   contactId: bigint(20)
   --
   userId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   parentContactId: bigint(20)
   emailAddress: varchar(254)
   firstName: varchar(75)
   middleName: varchar(75)
   lastName: varchar(75)
   prefixListTypeId: bigint(20)
   suffixListTypeId: bigint(20)
   male: tinyint(4)
   birthday: datetime(6)
   smsSn: varchar(75)
   facebookSn: varchar(75)
   jabberSn: varchar(75)
   skypeSn: varchar(75)
   twitterSn: varchar(75)
   employeeStatusId: varchar(75)
   employeeNumber: varchar(75)
   jobTitle: varchar(100)
   jobClass: varchar(75)
   hoursOfOperation: varchar(75)
}
entity Group_ {
   groupId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   creatorUserId: bigint(20)
   modifiedDate: datetime(6)
   classNameId: bigint(20)
   classPK: bigint(20)
   parentGroupId: bigint(20)
   liveGroupId: bigint(20)
   treePath: longtext
   groupKey: varchar(150)
   name: longtext
   description: longtext
   type_: int(11)
   typeSettings: longtext
   manualMembership: tinyint(4)
   membershipRestriction: int(11)
   friendlyURL: varchar(255)
   site: tinyint(4)
   remoteStagingGroupCount: int(11)
   inheritContent: tinyint(4)
   active_: tinyint(4)
}
entity LayoutSet {
   layoutSetId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   privateLayout: tinyint(4)
   logoId: bigint(20)
   themeId: varchar(75)
   colorSchemeId: varchar(75)
   faviconFileEntryId: bigint(20)
   css: longtext
   settings_: longtext
   layoutSetPrototypeUuid: varchar(75)
   layoutSetPrototypeLinkEnabled: tinyint(4)
}
entity ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   name: varchar(255)
   scope: int(11)
   primKey: varchar(255)
   primKeyId: bigint(20)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}
entity Ticket {
   ticketId: bigint(20)
   --
   mvccVersion: bigint(20)
   companyId: bigint(20)
   createDate: datetime(6)
   classNameId: bigint(20)
   classPK: bigint(20)
   key_: varchar(255)
   type_: int(11)
   extraInfo: longtext
   expirationDate: datetime(6)
}
entity User_ {
   userId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   contactId: bigint(20)
   password_: varchar(255)
   passwordEncrypted: tinyint(4)
   passwordReset: tinyint(4)
   passwordModifiedDate: datetime(6)
   digest: varchar(255)
   reminderQueryQuestion: varchar(75)
   reminderQueryAnswer: varchar(75)
   graceLoginCount: int(11)
   screenName: varchar(75)
   emailAddress: varchar(254)
   facebookId: bigint(20)
   googleUserId: varchar(75)
   ldapServerId: bigint(20)
   openId: varchar(1024)
   portraitId: bigint(20)
   languageId: varchar(75)
   timeZoneId: varchar(75)
   greeting: varchar(255)
   comments: longtext
   firstName: varchar(75)
   middleName: varchar(75)
   lastName: varchar(75)
   jobTitle: varchar(100)
   loginDate: datetime(6)
   loginIP: varchar(75)
   lastLoginDate: datetime(6)
   lastLoginIP: varchar(75)
   lastFailedLoginDate: datetime(6)
   failedLoginAttempts: int(11)
   lockout: tinyint(4)
   lockoutDate: datetime(6)
   agreedToTermsOfUse: tinyint(4)
   emailAddressVerified: tinyint(4)
   type_: int(11)
   status: int(11)
}
entity Users_Roles {
   roleId: bigint(20) <FK>
   userId: bigint(20) <FK>
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   ctChangeType: tinyint(4)
}

AccountEntryUserRel }o-right-|| User_:AccountUserId
AssetEntry }o-right-|| User_:userId
Contact_ }o-right-o| User_:ClassPk
Group_ }o--o| User_:ClassPk
ResourcePermission }o-down-o| User_:PrimKey
ResourcePermission }o-right-o| Group_:PrimKey
Ticket }o-left-o| User_:ClassPk
Users_Roles }o-left-|| User_:UserId
LayoutSet }o-left-|| Group_:GroupId


@enduml
